مرجع الواجهة

إخفاء الهوية في النص

إخفاء الهوية في نص يحتوي على بيانات حساسة. يبحث في نص الطلب عن الكيانات التي تستهدفها كل قاعدة، ويطبّق عليها عملية تلك القاعدة (الاستبدال أو الحجب أو التقنيع أو التجزئة أو التشفير). ويُعيد النص بعد إخفاء الهوية مع سجل لكل تحويل، يبيّن نطاق الأحرف في النص الأصلي وفي النص الناتج.

POST
/anonymize

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Request body for the anonymize endpoint.

Carries the text to anonymize and the list of de-identification rules to apply. See AnonymizationCommand for field-level details.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/anonymize" \  -H "Content-Type: application/json" \  -d '{    "text": "string"  }'
{  "text": "string",  "results": [],  "usage": {    "input_tokens": 0,    "inference_ms": 0  }}
{  "detail": [    {      "loc": [        "string"      ],      "msg": "string",      "type": "string",      "input": null,      "ctx": {}    }  ]}
{  "detail": [    {      "loc": [        "string"      ],      "msg": "string",      "type": "string",      "input": null,      "ctx": {}    }  ]}
© 2026 قُبة